%global pypi_name nox-poetry

Name:		python-%{pypi_name}
Version:	1.0.3
Release:	1
Summary:	Use Poetry inside Nox sessions.

License:	MIT
URL:		https://github.com/cjolowicz/nox-poetry
Source0:	%{url}/archive/v%{version}/nox_poetry-%{version}.tar.gz
BuildArch:	noarch

%description
Use Poetry inside Nox sessions.

%package -n python3-%{pypi_name}
Summary:	Use Poetry inside Nox sessions.
Provides:	python-%{pypi_name}

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-poetry-core

%description -n python3-%{pypi_name}
Use Poetry inside Nox sessions.

%prep
%autosetup -n nox_poetry-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/nox_poetry-*.dist-info/
%{python3_sitelib}/nox_poetry/
#%{_bindir}/xdoctest

%changelog
* Thu Aug 17 2023 mengzhaoa <mengzhaoa@isoftstone.com> - 1.0.3-1
- Init package
